/*
Bernardo Giovanni
Config values are contained in the document:
c:\program files\microchip\mplabc32\(version)\doc\hlpPIC32MXConfigSet.chm
*/

// config word 2
#pragma config FPLLIDIV = DIV_2		// PLL input divider (8MHz crystal on ORbit16 / 2 = 4) => 4MHz to PLL input
#pragma config FPLLMUL = MUL_20		// PLL multiplier (4*20) = 80MHz from PLL output
#pragma config FPLLODIV = DIV_1		// default PLL output divisor (80MHz/1) = 80MHz to CPU
#pragma config UPLLIDIV = DIV_2		// USB PLL input divider
#pragma config UPLLEN = OFF			// USB PLL enable
// config word 1
#pragma config FNOSC = PRIPLL		// oscillator selection => POSC (Primary Oscillator) + PLL
#pragma config FSOSCEN = OFF		// secondary oscillator enable
#pragma config IESO = OFF			// internal/external switchover
#pragma config POSCMOD = HS			// primary oscillator configuration (HS=>high speed external xtal)
#pragma config OSCIOFNC = ON		// CLKO enable
#pragma config FPBDIV = DIV_1		// peripheral bus clock divisor default value
#pragma config FCKSM = CSDCMD		// clock switching and monitor selection (CSDCMD = clockswitch off, monitor off)
#pragma config WDTPS = PS1			// watchdog timer postscale select
#pragma config WINDIS = OFF			// watchdog timer window enable
#pragma config FWDTEN = OFF			// watchdog timer enable
#pragma config FWDTWINSZ = WISZ_25	// watchdog timer window size
// config word 0
#pragma config DEBUG = OFF			// Background Debugger Enable bits
#pragma config JTAGEN = OFF			// JTAG Enable bit 
#pragma config ICESEL = ICS_PGx2	// In-Circuit Emulator/Debugger Communication Channel Select
#pragma config PWP = OFF			// program flash write protect
#pragma config BWP = OFF			// boot flash write protect 
#pragma config CP = OFF				// code-protect