/*
Flashing led demo
PIC32MX220F032B on ORbit16
By Bernardo Giovanni
www.settorezero.com
www.orbit16.com
*/

#include <p32xxxx.h>
#include <plib.h>

#define FOSC 80000000UL
#include "config_word_orbit32.h"
#include "delay.c"
 
main(void)
	{
	ANSELA=0x0000;
    ANSELB=0x0000;
	TRISBCLR=1<<5; // RB5 as output (led)
	TRISBSET=1<<7; // RB7 as input (button)
	SYSTEMConfigPerformance(80000000ul);
    	
	while(1)
		{
		LATBINV=1<<5; // invert status of RB5
		DelayMs(250);
		}
	} // main
